Subject: Re: bug#22576: 25.0.90; url-queue does not have guaranteed progress

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 08 Feb 2016 17:13:47 +1100

Lars Ingebrigtsen <[email-masked]> writes:

> If a host doesn't respond, the callbacks from `url-retrieve' will never
> be called.  There should therefore be some sort if mechanism to abort
> things that take a long time to complete.  Either a timer of some sort,
> or a timeout in url-retrieve.  The latter would be preferable.

I've now done the former.  url-retrieve should definitely have a timeout
parameter, but that'll have to wait until the Grand URL.el Rewrite.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no